Vis5D Documentation
<<< Previous |  | Next >>>

# Using Vis5D to Visualize Your Data

This section describes how to use the Vis5D visualization program, vis5d. It is almost completely controlled using the mouse with a graphical user interface. The best way to learn to use it is to experiment. There is no way to harm your data from within the program.

# Starting vis5d

| Important note for OSF users
| you need to run `limit stacksize 32m` before you run vis5d.

| Important note for SunOS 5 users
| The X shared memory extension may not work correctly. If Vis5D prints an error message to the effect of "Shared memory error" then you'll have to append the following three lines to the end of your `/etc/system` file then reboot:
    set shmsys:shminfo_shmmax = 0x2000000
    set shmsys:shminfo_shmmni = 0x1000
    set shmsys:shminfo_shmseg = 0x100

After you have made a v5d file, you can interactively visualize one or more file with the command:

    vis5d file1.v5d [options] file2.v5d [options]...

[options] may be any combination of the following (though none are usually needed):

`-alpha`

  Use alpha blending instead of "screen door" transparency.

`-area N`

  [SGI only] Specifies the first of a sequence of McIDAS area files to read and then display inside the 3-D box. See section 6.15 for more information.

`-box x y z`

  This lets you specify the aspect ratio or proportions of the 3-D box. Default values are 2 2 1.

`-circle`

  Display a circular clock

`-cpgeom WIDTHxHEIGHT+X+Y (or WIDTHxHEIGHT or +X+Y)`

  Specify the geometry (position only) of the control panel. Since the control panel must be a fixed width, any WIDTH specification will be ignored.

`-barbs`

  Use wind barbs in place of wind vectors.

`-date`

  Use 'dd month yy' in place of 'yyddd' on the clock.

`-dwell`

  Set the animation dwelling time when stepping from time=NumTimes to time=0

`-font xfontname`

`-font PEXfontname height`

  Set the X or PEX font and its height used in the 3D window. Since 3D fonts have explicit heights, size controls the line spacing. A size of 0 will restore the line spacing to the font's height. PEX fonts (those having "PEX" in their names) are scalable. To restore the default PEX font, use " " for the name. A PEX font's default size may be resotred by specifying a size of 0.

  Example:

      vis5d LAMPS.v5d -font helvb24 20

`-full`

  Open the 3-D window as a borderless, full-screen size window.

`-funcpath pathname`

  Specify the directory to search for user Fortran functions.

  Example:

      vis5d LAMPS.v5d -funcpath /usr/local/vis5d/userfuncs

`-geometry WxH+X+Y (or WxH or +X+Y)`

  Specify the geometry of the 3-D window.

  Example:

      vis5d LAMPS.v5d -geometry 640x480-10+10

`-hirestopo`

  Display a high-resolution topography. This is only recommended on systems with fast graphics hardware.

`-legend position size x y`

  Set color legend position and size. Position values are 1 (bottom, the default), 2 (top), 3 (left) and 4 (right). Size is the height of the legend bar and is between 10 and 1000 (default=128). Position is controlled by adding an offset value in the X and Y direction from the default position.

`-log [a] [b]`

  Display height on a logarithmic axis instead of linear. This is discussed in section 3.2. The optional arguments a and b are the scale and exponent factors in the height/pressure equation. The defaults are 1012.5 and -7.2, respectively.

`-map file`

  Use a map file other than the default of `OUTLSUPW`. See section 2.2.5 to setup a different default.

  Example:

      vis5d LAMPS.v5d -map OUTLUSAL

`-top_margin size`

  Specify the size in points for the top margin of the 3d windows

`-bottom_margin size`

  Specify the size in points for the bottom margin of the 3d windows

`-left_margin size`

  specify the size in points for the left margin of the 3d windows

`-right_margin size`

  Specify the size in points for the right margin of the 3d windows

`-mbs n`

  Override the assumed system memory size of 32 megabytes. See section 2.2.5 to setup a different default value.

`-nofile`

  Run vis5d with out loading a vis5d data set.

`-offscreen`

  Do off screen rendering. This is used in conjunction with the `-script` option.

`-path pathname`

  Use a different path for map and topo files instead of the current.

  Example:

      vis5d LAMPS.v5d -path /usr3/data

`-projection p`

  Set the display map projection, default is to display data in its natural projection (obtained from the data file). p may be one of:

  cylindrical - display data on a cylindrical Earth
  spherical - display data on a spherical Earth

  Only the first 3 characters are significant/needed. You will be promted for additional parameters.

  Example:

      vis5d LAMPS.v5d -projection spherical

`-quickstart`

  Don't load any grids when starting vis5d, even if the whole file will fit into memory. The grids will be read as needed. This option is useful when reading a file via NFS.

`-rate ms`

  Change the default animation rate. ms is the minimum delay in milliseconds between frames. Default is 100 ms.

`-samescale`

  Set the scale for the vertical plot variables to be the same for all three variables

`-script script.tcl`

  Specifies a Vis5D/Tcl script to execute automatically.

`-sequence filename`

  [not available on all systems] Specifies a file containing a sequence of images to texture map over the topography. See section 6.15 for more information.

`-soundfont fontname`

  Set the X font used in the sounding window. Use xlsfonts to list your system's fonts

`-title x y font "string"`

  This is used in conjunction with the `-_margin` option. This will print the string at location (x,y) in the BigWindow. Any number of titles can be created. The strings will not show up if they are not in a margin

`-texture rgbfile`

  [not available on all systems] Specify an SGI .rgb file to texture map over the topography. See section 6.15 for more information.

`-topo file`

  Use a topography file other than the default of `EARTH.TOPO`. See section 2.2.5 to setup a different default.

`-topobase [lev_value]`

  Display a base below the topography. lev_value is the vertical grid level value to which the base will extend. Typically, this is a negative value so that the base is below the lowest level (0.0). If lev_value is omitted, 0.0 will be used

  Example:

      vis5d LAMPS.v5d -topobase -3.0

`-trajvars uvar vvar [wvar]`

  Specify which variables are to be used for trajectory tracing. Defaults are U, V, and W.

  Example:

      vis5d LAMPS.v5d -trajvars U2 V2 W2

`-userdata flags`

  Use user-provided functions to read data, maps, or topography . flags is a string that may contain any combination of:

  g or G - use the function for reading grid data
  m or M - use the function for reading map data
  t or T - use the function for reading topography data

  Example:

      vis5d dataset -userdata g

`-vertical v`

  Set the vertical coordinate system, default is obtained from datafile. v may be one of:

  generic - linear, equally spaced levels in generic units
  equal - linear, equally spaced levels in km
  nonequal - linear, unequally spaced levels in km

  Only the first 3 characters of v are significant/needed. You will be prompted for additional parameters.

  Example:

      vis5d LAMPS.v5d -vertical nonequal

`-wdpy xdisplay`

  Put the widgets on a different X display. Useful in combination with `-full` for making slides and videos.

  Example:

      vis5d LAMPS.v5d -full -wdpy pluto:0

`-wide w`

  Set width of line segments in pixels (default is 1.0). Again, useful for making videos.

  Example:

      vis5d LAMPS.v5d -wide 3.0

`-wind2 uvar vvar [wvar]`

  Specify the names of a secondary set of U, V, and (optionally) W wind component variables to use when drawing the Hwind2, Vwind2 and Strm2 vector slices. Useful when you have two sets of wind vector components that you want to visualize simultaneously.

  Example:

      vis5d MYDATA -wind2 U2 V2 W2

Most of the above arguments can also be changed by entering the 'Options' menu after pressing the 'DISPLAY' button found on the main control panel.

If you start vis5d without arguments you will get a list of all the command line options and keyboard functions. Otherwise, vis5d will begin by reading the data file.

Previous versions of vis5d required that the entire file be read into main memory; if you didn't have sufficient memory you couldn't visualize the file. In version 4.0 and higher, this restriction is lifted; you may visualize files which are larger than main memory. This is implemented with a grid cache: vis5d reads data only when needed and discards it on a least-recently-used basis. Small files will be read in their entirety as in previous versions.

For the user, this means vis5d will allow you to visualize large files even with only 32MB of main memory. However, performance will degrade as the ratio of file size to main memory size increases. If you observe sluggish performance and a lot of disk activity while running vis5d you should get more memory.

<<< Previous | Home | Next >>>
Vis5D Utilities |  | The Control Panel